### Method

# GLib Variant get_handle

since: 2.24

#### Declaration

    gint32
    g_variant_get_handle (
      GVariant* value
    )

#### Description

Returns the 32-bit signed integer value of `value`.

It is an error to call this function with a `value` of any type other than `G_VARIANT_TYPE_HANDLE`.

By convention, handles are indexes into an array of file descriptors that are sent alongside a D-Bus message. If you’re not interacting with D-Bus, you probably don’t need them.

Available since: 2.24

#### Return value

Type: `gint32`

A #gint32.